Main Page Modules Alphabetical List Data Structures File List Data Fields Globals # IXP425 ATM Manager (IxAtmm) API IXP425 ATM Manager component Public API. More...
## Data Structures
struct | IxAtmmPortCfg
| Structure contains port-specific information required to initialize IxAtmm, and specifically, the IXP425 UTOPIA Level-2 device. More...
struct | IxAtmmVc
| This structure describes the required attributes of a virtual connection. More...
## Defines
#define | IX_ATMM_RET_ALREADY_INITIALIZED
| Component has already been initialized.
#define | IX_ATMM_RET_INVALID_PORT
| Specified port does not exist or is out of range.
#define | IX_ATMM_RET_INVALID_VC_DESCRIPTOR
| The VC description does not adhere to ATM standards.
#define | IX_ATMM_RET_VC_CONFLICT
| The VPI/VCI values supplied are either reserved, or they conflict with a previously registered VC on this port.
#define | IX_ATMM_RET_PORT_CAPACITY_IS_FULL
| The virtual connection cannot be established on the port because the remaining port capacity is not sufficient to support it.
#define | IX_ATMM_RET_NO_SUCH_VC
| No registered VC, as described by the supplied VCI/VPI or VC identifier values, exists on this port.
#define | IX_ATMM_RET_INVALID_VC_ID
| The specified VC identifier is out of range.
#define | IX_ATMM_RET_INVALID_PARAM_PTR
| A pointer parameter was NULL.
#define | IX_ATMM_UTOPIA_SPHY_ADDR
| The phy address when in SPHY mode.
## Typedefs
typedef void(* | IxAtmmVcChangeCallback )(IxAtmmVcChangeEvent eventType, IxAtmLogicalPort port, const IxAtmmVc *vcChanged)
| Callback type used with ixAtmmVcChangeCallbackRegister interface Defines a callback type which will be used to notify registered users of registration/deregistration events on a particular port.
## Enumerations
enum | IxAtmmVcDirection { IX_ATMM_VC_DIRECTION_TX, IX_ATMM_VC_DIRECTION_RX, IX_ATMM_VC_DIRECTION_INVALID }
| Definition for use in the IxAtmmVc structure. Indicates the direction of a VC. More...
enum | IxAtmmVcChangeEvent { IX_ATMM_VC_CHANGE_EVENT_REGISTER, IX_ATMM_VC_CHANGE_EVENT_DEREGISTER, IX_ATMM_VC_CHANGE_EVENT_INVALID }
| Definition for use with IxAtmmVcChangeCallback callback. Indicates that the event type represented by the callback for this VC. More...
enum | IxAtmmUtopiaLoopbackMode { IX_ATMM_UTOPIA_LOOPBACK_DISABLED, IX_ATMM_UTOPIA_LOOPBACK_ENABLED, IX_ATMM_UTOPIA_LOOPBACK_INVALID }
| Definitions for use with interface to indicate that UTOPIA loopback should be enabled or disabled on initialisation. More...
enum | IxAtmmPhyMode { IX_ATMM_MPHY_MODE, IX_ATMM_SPHY_MODE, IX_ATMM_PHY_MODE_INVALID }
| Definitions for use with ixAtmmUtopiaInit interface to indicate that UTOPIA multi-phy/single-phy mode is used. More...
## Functions
IX_STATUS | ixAtmmInit (void)
| Interface to initialize the IxAtmm software component. Can be called once only.
IX_STATUS | ixAtmmUtopiaInit (unsigned numPorts, IxAtmmPhyMode phyMode, IxAtmmPortCfg portCfgs[], IxAtmmUtopiaLoopbackMode loopbackMode)
| Interface to initialize the UTOPIA Level-2 ATM coprocessor for the specified number of physical ports. The function must be called before the ixAtmmPortInitialize interface can operate successfully.
IX_STATUS | ixAtmmPortInitialize (IxAtmLogicalPort port, unsigned txPortRate, unsigned rxPortRate)
| The interface is called following ixAtmmUtopiaInit () and before calls to any other IxAtmm interface. It serves to activate the registered ATM port with IxAtmm.
IX_STATUS | ixAtmmPortModify (IxAtmLogicalPort port, unsigned txPortRate, unsigned rxPortRate)
| A client may call this interface to change the existing port rate (expressed in bits/second) on an established ATM port.
IX_STATUS | ixAtmmPortQuery (IxAtmLogicalPort port, unsigned *txPortRate, unsigned *rxPortRate)
| The client may call this interface to request details on currently registered transmit and receive rates for an ATM port.
IX_STATUS | ixAtmmPortEnable (IxAtmLogicalPort port)
| The client call this interface to enable transmit for an ATM port. At initialisation, all the ports are disabled.
IX_STATUS | ixAtmmPortDisable (IxAtmLogicalPort port)
| The client call this interface to disable transmit for an ATM port. At initialisation, all the ports are disabled.
IX_STATUS | ixAtmmVcRegister (IxAtmLogicalPort port, IxAtmmVc *vcToAdd, IxAtmSchedulerVcId *vcId)
| This interface is used to register an ATM Virtual Connection on the specified ATM port.
IX_STATUS | ixAtmmVcDeregister (IxAtmLogicalPort port, IxAtmSchedulerVcId vcId)
| Function called by a client to deregister a VC from the system.
IX_STATUS | ixAtmmVcQuery (IxAtmLogicalPort port, unsigned vpi, unsigned vci, IxAtmmVcDirection direction, IxAtmSchedulerVcId *vcId, IxAtmmVc *vcDesc)
| This interface supplies information about an active VC on a particular port when supplied with the VPI, VCI and direction of that VC.
IX_STATUS | ixAtmmVcIdQuery (IxAtmLogicalPort port, IxAtmSchedulerVcId vcId, IxAtmmVc *vcDesc)
| This interface supplies information about an active VC on a particular port when supplied with a vcId for that VC.
IX_STATUS | ixAtmmVcChangeCallbackRegister (IxAtmmVcChangeCallback callback)
| This interface is invoked to supply a function to IxAtmm which will be called to notify the client if a new VC is registered with IxAtmm or an existing VC is removed.
IX_STATUS | ixAtmmVcChangeCallbackDeregister (IxAtmmVcChangeCallback callback)
| This interface is invoked to deregister a previously supplied callback function.
IX_STATUS | ixAtmmUtopiaStatusShow (void)
| Display utopia status counters.
IX_STATUS | ixAtmmUtopiaCfgShow (void)
| Display utopia information(config registers and status registers).
## Detailed Description IXP425 ATM Manager component Public API. ## Define Documentation
#define IX_ATMM_RET_ALREADY_INITIALIZED
| Component has already been initialized. Definition at line 76 of file IxAtmm.h.
#define IX_ATMM_RET_INVALID_PARAM_PTR
| A pointer parameter was NULL. Definition at line 122 of file IxAtmm.h.
#define IX_ATMM_RET_INVALID_PORT
| Specified port does not exist or is out of range. Definition at line 82 of file IxAtmm.h.
#define IX_ATMM_RET_INVALID_VC_DESCRIPTOR
| The VC description does not adhere to ATM standards. Definition at line 88 of file IxAtmm.h.
#define IX_ATMM_RET_INVALID_VC_ID
| The specified VC identifier is out of range. Definition at line 116 of file IxAtmm.h.
#define IX_ATMM_RET_NO_SUCH_VC
| No registered VC, as described by the supplied VCI/VPI or VC identifier values, exists on this port. Definition at line 110 of file IxAtmm.h.
#define IX_ATMM_RET_PORT_CAPACITY_IS_FULL
| The virtual connection cannot be established on the port because the remaining port capacity is not sufficient to support it. Definition at line 103 of file IxAtmm.h.
#define IX_ATMM_RET_VC_CONFLICT
| The VPI/VCI values supplied are either reserved, or they conflict with a previously registered VC on this port. Definition at line 95 of file IxAtmm.h.
#define IX_ATMM_UTOPIA_SPHY_ADDR
| The phy address when in SPHY mode. Definition at line 128 of file IxAtmm.h.
## Typedef Documentation
typedef void(* IxAtmmVcChangeCallback)(IxAtmmVcChangeEvent eventType, IxAtmLogicalPort port, const IxAtmmVc* vcChanged)
  | Callback type used with ixAtmmVcChangeCallbackRegister interface Defines a callback type which will be used to notify registered users of registration/deregistration events on a particular port. Parameters:
  IxAtmmVcChangeEvent eventType | Event indicating whether the VC supplied has been added or removed
  IxAtmLogicalPort port | Specifies the port on which the event has occurred
  IxAtmmVc* vcChanged | Pointer to a structure which gives details of the VC which has been added or removed on the port
Definition at line 219 of file IxAtmm.h.
## Enumeration Type Documentation
enum IxAtmmPhyMode
  | Definitions for use with ixAtmmUtopiaInit interface to indicate that UTOPIA multi-phy/single-phy mode is used. Enumeration values:
  IX_ATMM_MPHY_MODE | Atmm phy mode mphy.
  IX_ATMM_SPHY_MODE | Atmm phy mode sphy.
  IX_ATMM_PHY_MODE_INVALID | Atmm phy mode invalid.
Definition at line 180 of file IxAtmm.h.
enum IxAtmmUtopiaLoopbackMode
  | Definitions for use with interface to indicate that UTOPIA loopback should be enabled or disabled on initialisation. Enumeration values:
  IX_ATMM_UTOPIA_LOOPBACK_DISABLED | Atmm Utopia loopback mode disabled.
  IX_ATMM_UTOPIA_LOOPBACK_ENABLED | Atmm Utopia loopback mode enabled.
  IX_ATMM_UTOPIA_LOOPBACK_INVALID | Atmm Utopia loopback mode invalid.
Definition at line 156 of file IxAtmm.h.
enum IxAtmmVcChangeEvent
  | Definition for use with IxAtmmVcChangeCallback callback. Indicates that the event type represented by the callback for this VC. Enumeration values:
  IX_ATMM_VC_CHANGE_EVENT_REGISTER | Atmm Vc event register.
  IX_ATMM_VC_CHANGE_EVENT_DEREGISTER | Atmm Vc event de-register.
  IX_ATMM_VC_CHANGE_EVENT_INVALID | Atmm Vc event invalid.
Definition at line 146 of file IxAtmm.h.
enum IxAtmmVcDirection
  | Definition for use in the IxAtmmVc structure. Indicates the direction of a VC. Enumeration values:
  IX_ATMM_VC_DIRECTION_TX | Atmm Vc direction transmit.
  IX_ATMM_VC_DIRECTION_RX | Atmm Vc direction receive.
  IX_ATMM_VC_DIRECTION_INVALID | Atmm Vc direction invalid.
Definition at line 136 of file IxAtmm.h.
## Function Documentation
ixAtmmInit | ( | void |  | ) |
  | Interface to initialize the IxAtmm software component. Can be called once only. Must be called before any other IxAtmm API is called. Parameters:
  none |
Returns: IX_SUCCESS : IxAtmm has been successfully initialized. Calls to other IxAtmm interfaces may now be performed. IX_FAIL : IxAtmm has already been initialized.
ixAtmmPortDisable | ( | IxAtmLogicalPort | port | ) |
  | The client call this interface to disable transmit for an ATM port. At initialisation, all the ports are disabled. Parameters:
  IxAtmLogicalPort port | Value identifies the port
Returns: IX_SUCCESS : Transmission over this port is stopped. IX_FAIL : The port parameter is not valid, or the port is already disabled Note: - When a port is disabled, Rx and Tx VC Connect requests will fail - This function call does not stop RX traffic. It is supposed that this function is invoked when a serious problem is detected (e.g. physical layer broken). Then, the RX traffic is not passing. - This function is blocking until the hw acknowledge that the transmission is stopped. - This function uses system resources and should not be used inside an interrupt context. See also: ixAtmmPortEnable
ixAtmmPortEnable | ( | IxAtmLogicalPort | port | ) |
  | The client call this interface to enable transmit for an ATM port. At initialisation, all the ports are disabled. Parameters:
  IxAtmLogicalPort port | Value identifies the port
Returns: IX_SUCCESS : Transmission over this port is started. IX_FAIL : The port parameter is not valid, or the port is already enabled Note: - When a port is disabled, Rx and Tx VC Connect requests will fail - This function uses system resources and should not be used inside an interrupt context. See also: ixAtmmPortDisable
ixAtmmPortInitialize | ( | IxAtmLogicalPort | port,
|  | unsigned | txPortRate,
|  | unsigned | rxPortRate
| ) |
  | The interface is called following ixAtmmUtopiaInit () and before calls to any other IxAtmm interface. It serves to activate the registered ATM port with IxAtmm. The transmit and receive port rates are specified in bits per second. This translates to ATM cells per second according to the following formula: CellsPerSecond = portRate / (53*8) The IXP425 device supports only 53 byte cells. The client shall make sure that the off-chip physical layer device has already been initialized. IxAtmm will configure IxAtmdAcc and IxAtmSch to enable scheduling on the port. This interface must be called once for each active port in the system. The first time the interface is invoked, it will configure the mechanism by which the handling of transmit, transmit-done and receive are driven with the IxAtmdAcc component. This function is reentrant. Note: The minimum tx rate that will be accepted is 424 bit/s which equates to 1 cell (53 bytes) per second. Parameters:
  IxAtmLogicalPort port | Identifies the port which is to be initialized.
  unsigned txPortRate | Value specifies the transmit port rate for this port in bits/second. This value is used by the ATM Scheduler component is evaluating VC access requests for the port.
  unsigned rxPortRate | Value specifies the receive port rate for this port in bits/second.
Returns: IX_SUCCESS : The specificed ATM port has been successfully initialized. IxAtmm is ready to accept VC registrations on this port. IX_ATMM_RET_ALREADY_INITIALIZED : ixAtmmPortInitialize has already been called successfully on this port. The current call is rejected. IX_ATMM_RET_INVALID_PORT : The port value indicated in the input is not valid. The request is rejected. IX_FAIL : IxAtmm could not initialize the port because the inputs are not understood. See also: ixAtmmPortEnable, ixAtmmPortDisable
ixAtmmPortModify | ( | IxAtmLogicalPort | port,
|  | unsigned | txPortRate,
|  | unsigned | rxPortRate
| ) |
  | A client may call this interface to change the existing port rate (expressed in bits/second) on an established ATM port. Parameters:
  IxAtmLogicalPort port | Identifies the port which is to be initialized.
  unsigned txPortRate | Value specifies the`` transmit port rate for this port in bits/second. This value is used by the ATM Scheduler component is evaluating VC access requests for the port.
  unsigned rxPortRate | Value specifies the receive port rate for this port in bits/second.
Returns: IX_SUCCESS : The indicated ATM port rates have been successfully modified. IX_ATMM_RET_INVALID_PORT : The port value indicated in the input is not valid. The request is rejected. IX_FAIL : IxAtmm could not update the port because the inputs are not understood, or the interface was called before the port was initialized.
ixAtmmPortQuery | ( | IxAtmLogicalPort | port,
|  | unsigned * | txPortRate,
|  | unsigned * | rxPortRate
| ) |
  | The client may call this interface to request details on currently registered transmit and receive rates for an ATM port. Parameters:
  IxAtmLogicalPort port | Value identifies the port from which the rate details are requested.
  OUT unsigned *txPortRate | Pointer to a value which will be filled with the value of the transmit port rate specified in bits/second.
  OUT unsigned *rxPortRate | Pointer to a value which will be filled with the value of the receive port rate specified in bits/second.
Returns: IX_SUCCESS : The information requested on the specified port has been successfully supplied in the output. IX_ATMM_RET_INVALID_PORT : The port value indicated in the input is not valid. The request is rejected. IX_ATMM_RET_INVALID_PARAM_PTR : A pointer parameter was NULL. IX_FAIL : IxAtmm could not update the port because the inputs are not understood, or the interface was called before the port was initialized.
ixAtmmUtopiaCfgShow | ( | void |  | ) |
  | Display utopia information(config registers and status registers). Parameters:
  none |
Returns: IX_SUCCESS : Show function was successful IX_FAIL : Internal failure
ixAtmmUtopiaInit | ( | unsigned | numPorts,
|  | IxAtmmPhyMode | phyMode,
|  | IxAtmmPortCfg | portCfgs[],
|  | IxAtmmUtopiaLoopbackMode | loopbackMode
| ) |
  | Interface to initialize the UTOPIA Level-2 ATM coprocessor for the specified number of physical ports. The function must be called before the ixAtmmPortInitialize interface can operate successfully. Parameters:
  unsigned numPorts | Indicates the total number of logical ports that are active on the device. Up to 12 ports are supported.
  IxAtmmPhyMode phyMode | Put the Utopia coprocessor in SPHY or MPHY mode.
  IxAtmmPortCfg portCfgs[] | Pointer to an array of elements detailing the UTOPIA specific port characteristics. The length of the array must be equal to the number of ports activated. ATM ports are referred to by the relevant offset in this array in all subsequent IxAtmm interface calls.
  IxAtmmUtopiaLoopbackMode loopbackMode | Value must be one of IX_ATMM_UTOPIA_LOOPBACK_ENABLED or IX_ATMM_UTOPIA_LOOPBACK_DISABLED indicating whether loopback should be enabled on the device. Loopback can only be supported on a single PHY, therefore the numPorts parameter must be 1 if loopback is enabled.
Returns: IX_SUCCESS : Indicates that the UTOPIA device has been successfully initialized for the supplied ports. IX_ATMM_RET_ALREADY_INITIALIZED : The UTOPIA device has already been initialized. IX_FAIL : The supplied parameters are invalid or have been rejected by the UTOPIA-NPE device. Warning: This interface may only be called once. Port identifiers are assumed to range from 0 to (numPorts - 1) in all instances. In all subsequent calls to interfaces supplied by IxAtmm, the specified port value is expected to represent the offset in the portCfgs array specified in this interface. i.e. The first port in this array will subsequently be represented as port 0, the second port as port 1, and so on.
ixAtmmUtopiaStatusShow | ( | void |  | ) |
  | Display utopia status counters. Parameters:
  none |
Returns: IX_SUCCESS : Show function was successful IX_FAIL : Internal failure
ixAtmmVcChangeCallbackDeregister | ( | IxAtmmVcChangeCallback | callback | ) |
  | This interface is invoked to deregister a previously supplied callback function. Parameters:
  IxAtmmVcChangeCallback callback | Callback which complies with the IxAtmmVcChangeCallback definition. This function will removed from the table of callbacks.
Returns: IX_SUCCESS : The specified callback has been deregistered successfully from IxAtmm. IX_FAIL : Either the supplied callback is invalid, or is not currently registered with IxAtmm.
ixAtmmVcChangeCallbackRegister | ( | IxAtmmVcChangeCallback | callback | ) |
  | This interface is invoked to supply a function to IxAtmm which will be called to notify the client if a new VC is registered with IxAtmm or an existing VC is removed. The callback, when invoked, will run within the context of the call to ixAtmmVcRegister or ixAtmmVcDeregister which caused the change of state. A maximum of 32 calbacks may be registered in with IxAtmm. Parameters:
  IxAtmmVcChangeCallback callback | Callback which complies with the IxAtmmVcChangeCallback definition. This function will be invoked by IxAtmm with the appropiate parameters for the relevant VC when any VC has been registered or deregistered with IxAtmm.
Returns: IX_SUCCESS : The specified callback has been registered successfully with IxAtmm and will be invoked when appropriate. IX_FAIL : Either the supplied callback is invalid, or IxAtmm has already registered 32 and connot accommodate any further registrations of this type. The request is rejected. Warning: The client must not call either the ixAtmmVcRegister or ixAtmmVcDeregister interfaces from within the supplied callback function.
ixAtmmVcDeregister | ( | IxAtmLogicalPort | port,
|  | IxAtmSchedulerVcId | vcId
| ) |
  | Function called by a client to deregister a VC from the system. With the removal of each new VC from a port, a series of registered callback functions are invoked by the IxAtmm component to notify possible external components of the change. The callback functions are registered using the ixAtmmVcChangeCallbackRegister. The IxAtmSch component is notified of the removal of transmit VCs. Parameters:
  IxAtmLogicalPort port | Identifies port on which the VC to be removed is currently registered.
  IxAtmSchedulerVcId vcId | VC identifier value of the VC to be deregistered. This value was supplied to the client when the VC was originally registered. This value can also be queried from the IxAtmm component through the ixAtmmVcQuery interface.
Returns: IX_SUCCESS : The specified VC has been successfully removed from this port. IX_ATMM_RET_INVALID_PORT : The port value indicated in the input is not valid or has not been initialized. The request is rejected. IX_FAIL : There is no registered VC associated with the supplied identifier registered on this port.
ixAtmmVcIdQuery | ( | IxAtmLogicalPort | port,
|  | IxAtmSchedulerVcId | vcId,
|  | IxAtmmVc * | vcDesc
| ) |
  | This interface supplies information about an active VC on a particular port when supplied with a vcId for that VC. Parameters:
  IxAtmLogicalPort port | Identifies port on which the VC to be queried is currently registered.
  IxAtmSchedulerVcId vcId | Value returned by ixAtmmVcRegister which uniquely identifies the requested VC on this port.
  OUT IxAtmmVc *vcDesc | Pointer to an IxAtmmVc structure which will be filled with the specific details of the requested VC, if it exists on this port.
Returns: IX_SUCCESS : The specified VC has been found on this port and the requested details have been returned. IX_ATMM_RET_INVALID_PORT : The port value indicated in the input is not valid or has not been initialized. The request is rejected. IX_ATMM_RET_NO_SUCH_VC : No VC exists on the specified port which matches the supplied identifier. No data is returned. IX_ATMM_RET_INVALID_PARAM_PTR : A pointer parameter was NULL.
ixAtmmVcQuery | ( | IxAtmLogicalPort | port,
|  | unsigned | vpi,
|  | unsigned | vci,
|  | IxAtmmVcDirection | direction,
|  | IxAtmSchedulerVcId * | vcId,
|  | IxAtmmVc * | vcDesc
| ) |
  | This interface supplies information about an active VC on a particular port when supplied with the VPI, VCI and direction of that VC. Parameters:
  IxAtmLogicalPort port | Identifies port on which the VC to be queried is currently registered.
  unsigned vpi | ATM VPI value of the requested VC.
  unsigned vci | ATM VCI value of the requested VC.
  IxAtmmVcDirection direction | One of IX_ATMM_VC_DIRECTION_TX or IX_ATMM_VC_DIRECTION_RX indicating the direction (Tx or Rx) of the requested VC.
  OUT IxAtmSchedulerVcId *vcId | Pointer to an integer value which will be filled with the VC identifier value for the requested VC (as returned by ixAtmmVcRegister), if it exists on this port.
  OUT IxAtmmVc *vcDesc | Pointer to an IxAtmmVc structure which will be filled with the specific details of the requested VC, if it exists on this port.
Returns: IX_SUCCESS : The specified VC has been found on this port and the requested details have been returned. IX_ATMM_RET_INVALID_PORT : The port value indicated in the input is not valid or has not been initialized. The request is rejected. IX_ATMM_RET_NO_SUCH_VC : No VC exists on the specified port which matches the search criteria (VPI, VCI, direction) given. No data is returned. IX_ATMM_RET_INVALID_PARAM_PTR : A pointer parameter was NULL.
ixAtmmVcRegister | ( | IxAtmLogicalPort | port,
|  | IxAtmmVc * | vcToAdd,
|  | IxAtmSchedulerVcId * | vcId
| ) |
  | This interface is used to register an ATM Virtual Connection on the specified ATM port. Each call to this interface registers a unidirectional virtual connection with the parameters specified. If a bi-directional VC is needed, the function should be called twice (once for each direction, Tx & Rx) where the VPI and VCI and port parameters in each call are identical. With the addition of each new VC to a port, a series of callback functions are invoked by the IxAtmm component to notify possible external components of the change. The callback functions are registered using the ixAtmmVcChangeCallbackRegister interface. The IxAtmSch component is notified of the registration of transmit VCs. Parameters:
  IxAtmLogicalPort port | Identifies port on which the specified VC is to be registered.
  IxAtmmVc *vcToAdd | Pointer to an IxAtmmVc structure containing a description of the VC to be registered. The client shall fill the vpi, vci and direction and relevant trafficDesc members of this structure before calling this function.
  OUT IxAtmSchedulerVcId *vcId | Pointer to an integer value which is filled with the per-port unique identifier value for this VC. This identifier will be required when a request is made to deregister or change this VC. VC identifiers for transmit VCs will have a value between 0-43, i.e. 32 data Tx VCs + 12 OAM Tx Port VCs. Receive VCs will have a value between 44-66, i.e. 32 data Rx VCs + 1 OAM Rx VC.
Returns: IX_SUCCESS : The VC has been successfully registered on this port. The VC is ready for a client to configure IxAtmdAcc for receive and transmit operations on the VC. IX_ATMM_RET_INVALID_PORT : The port value indicated in the input is not valid or has not been initialized. The request is rejected. IX_ATMM_RET_INVALID_VC_DESCRIPTOR : The descriptor pointed to by vcToAdd is invalid. The registration request is rejected. IX_ATMM_RET_VC_CONFLICT : The VC requested conflicts with reserved VPI and/or VCI values or with another VC already activated on this port. IX_ATMM_RET_PORT_CAPACITY_IS_FULL : The VC cannot be registered in the port becuase the port capacity is insufficient to support the requested ATM traffic contract. The registration request is rejected. IX_ATMM_RET_INVALID_PARAM_PTR : A pointer parameter was NULL. Warning: IxAtmm has no capability of signaling or negotiating a virtual connection. Negotiation of the admission of the VC to the network is beyond the scope of this function. This is assumed to be performed by the calling client, if appropriate, before or after this function is called.
Automatically generated from sources. © Intel Corp. 2003